Subject: Non-deterministic daemon protocol errors

From: Mark H Weaver <[email-masked]>
Date: Thu, 03 Dec 2015 16:57:03 -0500

Since updating my guix client (but not yet my server) to include the
recent commits related to the protocol update, I'm seeing these errors
non-deterministically while building things.  Retrying usually results
in success.

mhw@jojen:~/guix$ guix build -K openssl --cores=1
substitute: updating list of substitutes from 'http://hydra.gnu.org'... 100.0%
The following derivation will be built:
   /gnu/store/5hzf27bgygjp5ah3bfy8m0aa93yazgk3-openssl-1.0.2e.drv
guix build: error: build failed: EOF expected (protocol error?)

       Mark